* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "TASA Orbiter", sans-serif;

  --activeNavTop: 6rem;

  --activeBtnColor: #000000;
  --linkColor: #2a49c3;
  --shadow500:
    0 1px 2px rgba(90, 53, 53, 0.07), 0 2px 4px rgba(0, 0, 0, 0.07),
    0 4px 8px rgba(0, 0, 0, 0.07), 0 8px 16px rgba(0, 0, 0, 0.07),
    0 16px 32px rgba(0, 0, 0, 0.07), 0 32px 64px rgba(0, 0, 0, 0.07);
}
body {
  height: 100vh;
  width: 100vw;
  display: flex;
  flex-direction: column;
  gap: 1rem;
  text-transform: uppercase;
}

a {
  text-decoration: none;
  color: inherit;
}

.easingMax {
  transition: all 0.25s ease-in-out;
}
.easingLong {
  transition: all 0.35s ease-in-out;
}
.topbar {
  position: sticky;
  top: 0;
  left: 0;
  width: 100%;
  height: fit-content;
  display: flex;
  justify-content: center;
  gap: 4rem;
  padding-block: 2rem 1rem;
  padding-inline: 20px;
  z-index: +2;
  background-color: white;
}

.topbar.opened {
  position: fixed;
  box-shadow: var(--shadow500);
  background-color: white;
  border-radius: 8px;
  height: 90vh;
}

.topbar.opened #mainLogoContainer {
  width: 30%;
  padding-top: 0rem;
  padding-bottom: 1rem;
}
#mainLogoContainer {
  width: 60%;
  height: auto;
  padding-top: 1rem;
}

/* #mainLogoContainer img {
  width: 100%;
  height: auto;
} */
img {
  width: 100%;
  height: auto;
}

.nav {
  display: none;
  gap: 2rem;
  transition: display 1s ease-in-out;
}

.nav.active {
  display: flex;
  flex-direction: column;
  position: absolute;
  top: var(--activeNavTop);
  left: 0;

  padding: 1rem 2rem;
  width: 100vw;
  z-index: +1;
}

.login-container {
  display: flex;
  justify-content: flex-end;
  width: 100%;
  cursor: pointer;
}
.hamburger {
  display: flex;
  flex-direction: column;
  cursor: pointer;
  gap: 5px;
  align-items: flex-end;
  position: relative;
  z-index: +2;
}
.hamburger div {
  width: 25px;
  height: 2px;
  background-color: black;
  border-radius: 2px;
}

.hamburger div:nth-child(2) {
  width: 20px;
}
.hamburger div:nth-child(3) {
  width: 15px;
}

/* When the menu is opened, change the hamburger to an x */
.hamburger.opened div:nth-child(1) {
  transform: rotate(45deg);
  position: absolute;
  top: 1rem;
  left: 0;
  width: 20px;
}

.hamburger.opened div:nth-child(2) {
  opacity: 0; /* Hide the middle bar */
}

.hamburger.opened div:nth-child(3) {
  transform: rotate(-45deg);
  position: absolute;
  top: 1rem;
  left: 0;
  width: 20px;
}

@media (max-width: 1024px) {
  .topbar {
    gap: 2rem;
  }

  .mobile {
    display: none;
  }
}
@media (max-width: 768px) {
  .desktop {
    display: none;
  }
  .mobile {
    display: flex;
  }
  .topbar {
    justify-content: space-between;
  }
  .nav {
    display: none;
  }
  .hamburger {
    display: flex;
  }

  .sidebar {
    display: none;
  }
}

.main {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 2rem;
  padding-bottom: 2rem;
  position: relative;
}

.collection-card {
  width: min(800px, 90vw);
  height: min(700px, 50vh);
  display: flex;
  flex-direction: column;
  transition: all 0.25s ease-in-out;
}
.collection-card-image {
  width: 100%;
  height: 90%;
  overflow: hidden;
  background-color: rgb(192, 188, 188);
}

.collection-card-image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.collection-card-text {
  text-transform: uppercase;
  font-size: 1rem;
}
.collection-card-text h3 {
  font-weight: normal;
  font-size: 1rem;
}

.collection-card:hover {
  transform: scale(0.98);
}

@media (min-width: 768px) {
  .mobile {
    display: none;
  }

  .desktop {
    display: flex;
  }

  .topbar {
    position: fixed;
    top: 0;
    left: 0;
    flex-direction: column;
    width: 10rem;
    background-color: transparent;
  }
  .topbar.opened {
    width: 90vw;
  }

  .hamburger {
    align-items: baseline;
  }
  .hamburger div {
    height: 3px;
  }
  .hamburger.opened {
    position: absolute;
    top: 2rem;
    left: 1.25rem;
  }

  .hamburger.opened div:nth-child(1) {
    transform: rotate(0);
    position: relative;
    top: 0rem;
    left: 0;
    width: 20px;
  }

  .hamburger.opened div:nth-child(3) {
    transform: rotate(0);
    position: relative;

    width: 20px;
  }

  #mainLogoContainer {
    width: 120%;
    padding: 1rem 0;
    margin-left: -20%;
    align-self: end;
  }

  /* .nav {
    display: flex;
    flex-direction: column;
    gap: 1rem;
  } */

  .sidebar {
    display: grid;
    grid-template-rows: 5rem 1fr 15rem;
    gap: 2rem;
    position: fixed;
    top: 0;
    right: 2rem;
    width: 9rem;
    height: 100vh;
    padding: 1rem 0;
    background-color: white;
    z-index: +3;
  }

  .bag-container {
    width: 2rem;
    justify-self: end;
    position: relative;
  }

  .cart-count {
    position: absolute;

    top: 16%;
    left: 50%;
    transform: translate(-50%, -10%);
  }

  .main {
    padding-top: 4rem;
  }

  .collection-card {
    width: min(1500px, 100vw);
    height: min(800px, 80vh);
  }
}
